/* $Id: dict.c 5 2023-02-19 09:53:11Z nishi $ */

#include <ncron/dict.h>

#include <stdlib.h>

struct ncron_pair** ncron_dict_init(){
	struct ncron_pair** result = malloc(sizeof(*result));
	result[0] = NULL;
	return result;
}

struct ncron_pair** ncron_dict_clean(struct ncron_pair** dict){
	int i;
	for(i = 0; dict[i] != NULL; i++){
		free(dict[i]->key);
		free(dict[i]);
	}
	dict = realloc(dict, sizeof(*dict));
	dict[0] = NULL;
	return dict;
}

void ncron_dict_free(struct ncron_pair** dict){
	int i;
	for(i = 0; dict[i] != NULL; i++){
		free(dict[i]->key);
		free(dict[i]);
	}
	free(dict);
}
